Skip to navigation

Mark bulk job upload as complete

View as Markdown

Mark the upload of documents as complete for a bulk job. End user won’t upload more docs for this job.

Important: Only call this endpoint after successfully uploading all documents to their respective pre-signed URLs obtained from the create job response.

Authentication

AuthorizationBearer

Path parameters

accountIdstringRequiredformat: "^[{]?[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}[}]?$"
jobIdstringRequiredformat: "^[{]?[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}[}]?$"

Response

The updated bulk job
idstringformat: "uuid"
Id for job
namestring
User provided name for this job
statusenum

Job lifecycle states:

  • OPEN - Job created and accepting documents
  • UPLOAD_COMPLETE - All documents have been received, and processing has not yet started
  • IN_PROGRESS - Documents are being processed (AI extraction)
  • COMPLETE - The full e2e process is complete
  • FAILED - System error prevented job execution
  • CANCELED - User initiated request to cancel a job
status_enumlist of strings
created_atstringformat: "date-time"
modified_atstringformat: "date-time"
expires_atstringformat: "date-time"
metadataobject

Properties about THIS request/response, not the job resource itself

external_job_idstringOptionalformat: "uuid"
User provided reference ID for this job
ttl_periodstringOptional
ISO 8601 duration for job validity
upload_settingsobjectOptional
Upload configuration settings for the bulk job
ai_processingobjectOptional

AI processing status for BULK_API_INGESTION jobs. Always present; resume_ai_triggered_at is set only for jobs where resume-AI processing was triggered.

summaryobjectOptional

Aggregate document counts. Always present in the job status response alongside _embedded.documents (when include_document_details=true) or as the sole count source (when false).

_embeddedobjectOptional
Contains detailed information about the BulkJob including presigned upload links, document IDs, etc
_action_templatesobjectOptional
constraintsobjectOptional
Describes the limits of a bulk job, or an action associated with a bulk job
messagestringOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error